<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.fleet.dao.KwfTransportLicenseMapper">

    <select id="findByTruckId" resultType="com.sckw.fleet.model.KwfTransportLicense" parameterType="java.lang.Long" >
        SELECT
            id, truck_id truckId, road_tran_no roadTranNo, firm_name firmName, business_license_no businessLicenseNo,
            grant_unit grantUnit, grant_time grantTime, expire_time expireTime, certificate_main certificateMain,
            certificate_revolt certificateRevolt, remark, create_by createBy, create_time createTime, update_by updateBy,
            update_time updateTime
        from kwf_transport_license
        where del_flag = 0 and truck_id = #{truckId, jdbcType=BIGINT}
    </select>

</mapper>
